# platform

abstract fun platform(notation: Any): Dependency

Declares a dependency on a platform. If the target coordinates represent multiple potential components, the platform component will be selected, instead of the library.

#### Since

5.0

#### Parameters

notation

the coordinates of the platform

abstract fun platform(notation: Any, configureAction: Action<in Dependency>): Dependency

Declares a dependency on a platform. If the target coordinates represent multiple potential components, the platform component will be selected, instead of the library.

#### Since

5.0

#### Parameters

notation

the coordinates of the platform

configureAction

the dependency configuration block

open fun platform(dependencyProvider: Provider<MinimalExternalModuleDependency>): Provider<MinimalExternalModuleDependency>

Configures this dependency provider to select the platform variant of the target component

#### Return

a new dependency provider targeting the platform variant of the component

#### Since

6.8

#### Parameters

dependencyProvider

the dependency provider

open fun platform(dependencyProviderConvertible: ProviderConvertible<MinimalExternalModuleDependency>): Provider<MinimalExternalModuleDependency>

Configures this dependency provider to select the platform variant of the target component

#### Return

a new dependency provider targeting the platform variant of the component

#### Since

7.3

#### Parameters

dependencyProviderConvertible

the dependency provider convertible that returns the dependency provider